Subject: bug#38444: sshd / login segmentation faults

From: Robert Vollmert <[email-masked]>
Date: Sun, 1 Dec 2019 15:27:06 +0100

I just had to restart my Guix VPS because both ssh as well as console login
were failing. Rebooting fixed the issue (for now). I haven’t seen such issues
before. The system was pulled and reconfigured from master in the last couple
days, and recently added docker-related services. I hadn’t rebooted into updated
kernels in the last few weeks.

Other services were still running successfully, so it seems unlikely that there
was some out-of-resources thing going on, but hard to say.

Logs for sshd:

Dec  1 14:55:00 localhost vmunix: [1549839.654228] sshd[15465]: segfault at 7fcf00000008 ip 00007fcfe9257278 sp 00007ffe164811c0 error 4 in ld-2.28.so[7fcfe9249000+1e000]
Dec  1 14:55:00 localhost vmunix: [1549839.654259] Code: 8b 1b 48 03 5a 08 48 8b 40 08 48 c1 e8 03 85 c0 74 23 83 e8 01 4c 8d 74 c3 08 0f 1f 84 00 00 00 00 00 4c 89 ea 4c 89 e6 89 ef <f
f> 13 48 83 c3 08 49 39 de 75 ed 5b 5d 41 5c 41 5d 41 5e c3 0f 1f
Dec  1 14:55:00 localhost vmunix: [1549839.684596] audit: type=1326 audit(1575208500.500:114): auid=4294967295 uid=989 gid=983 ses=4294967295 subj==unc
onfined pid=15466 comm="sshd" exe="/gnu/store/l02fsn5jln4jrbsc28yr26abi0lqxz97-openssh-8.0p1/sbin/sshd" sig=31 arch=c000003e syscall=41 compat=0 ip=0x7fcfe8d22f27 code=0x0

Logs for console login:

Dec  1 14:53:55 localhost vmunix: [1549774.678304] login[15437]: segfault at 7f5000000008 ip 00007f5013855278 sp 00007ffd42e196f0 error 4 in ld-2.28.so[7f5013847000+1e000]
Dec  1 14:53:55 localhost vmunix: [1549774.678343] Code: 8b 1b 48 03 5a 08 48 8b 40 08 48 c1 e8 03 85 c0 74 23 83 e8 01 4c 8d 74 c3 08 0f 1f 84 00 00 00 00 00 4c 89 ea 4c 89 e6 89 ef <f
f> 13 48 83 c3 08 49 39 de 75 ed 5b 5d 41 5c 41 5d 41 5e c3 0f 1f
Dec  1 14:53:55 localhost shepherd[1]: Respawning term-tty1. 
Dec  1 14:53:55 localhost shepherd[1]: Service term-tty1 has been started.